"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.namedQuerySelectorToDcumentContent = void 0;
exports.namedQuerySelectorToDcumentContent = "import { queryReplacer } from './query-replacer';\n\nconst variablesRegex = /\"(.*)\"(:?)( {|)|( true,?)(\\n)/g;\n\nexport const namedQuerySelectorToDocument = (\n  queryName: string,\n  selector: unknown,\n  variables?: unknown,\n): string => {\n  const queryContent = JSON.stringify(selector, null, 2).replace(\n    variablesRegex,\n    '$1$3$5',\n  );\n\n  const replaceArgs = queryReplacer[queryName](variables);\n\n  const rawQuery = `query {\\n ${\n    replaceArgs ? replaceArgs[1].slice(0, -1) : queryName\n  } ${queryContent} \\n}`;\n\n  return rawQuery;\n};\n";
